<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class PaymentProcess extends Model
{
    protected $fillable = ['title', 'image_desktop', 'image_mobile', 'is_active'];

    protected $casts = [
        'is_active' => 'boolean',
    ];

    public function scopeActive($query)
    {
        return $query->where('is_active', true);
    }
}
